Bug 962375 - OPENSHIFT_SYNC_GEARS_DIRS' value is not migrated to the raw format for python2.6/3.3
OPENSHIFT_SYNC_GEARS_DIRS' value is not migrated to the raw format for pytho...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
All All
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 05:57 EDT by zhaozhanqi
Modified: 2015-05-14 19:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:56:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2013-05-13 05:57:27 EDT
Description of problem:
after migration, cat .env/OPENSHIFT_SYNC_GEARS_DIRS
export OPENSHIFT_SYNC_GEARS_DIRS=( "repo" "node_modules" "../.m2" ".openshift" "deployments" "perl5lib" "phplib" )

It should be migrated to raw format

Version-Release number of selected component (if applicable):
Upgrading devenv-stage_351 to devenv_3219 and migrate

How reproducible:
always

Steps to Reproduce:
1. Launch a devenv-stage_351 ami
2. Create an app python-2.6/3.3
3. scp -r ~/devenv-local and /etc/yum.repos.d/local.repo from devenv_3219 instance to same location on devenv-stage_351 instance
4. yum -y update --enablerepo devenv-local (the instance will be default to v2 format after upgrade)
5. rhc-v2-migrate --version 2.0.28
6. login on app
   cat .env/OPENSHIFT_SYNC_GEARS_DIRS
  
Actual results:

cat .env/OPENSHIFT_SYNC_GEARS_DIRS
export OPENSHIFT_SYNC_GEARS_DIRS=( "repo" "node_modules" "../.m2" ".openshift" "deployments" "perl5lib" "phplib" )

Expected results:
Its value should be like this:
 cat .env/OPENSHIFT_SYNC_GEARS_DIRS
 "repo" "node_modules" "../.m2" ".openshift" "deployments" "perl5lib" "phplib"  

Additional info:
Comment 2 Paul Morie 2013-05-14 19:20:19 EDT
Fix will be in devenv 3228
Comment 3 zhaozhanqi 2013-05-16 05:56:31 EDT
check on devenv_3232, this issue have fixed, change status to verified.

After migration from devenv-stage_353 to devenv_3232

 cat .env/OPENSHIFT_SYNC_GEARS_DIRS 
( repo" "node_modules" "../.m2" ".openshift" "deployments" "perl5lib" "phplib" )

Note You need to log in before you can comment on or make changes to this bug.